# UserGameSettings

UserGameSettings : `Instance`

## Overview

게임 내 제어 방식과 관련된 정보를 담고 있는 전역 설정 객체입니다.

## Properties

### CharacterTurnRate

`number`

RotationType이 CameraRelative로 설정된 경우, 캐릭터가 카메라 방향을 따라 회전하는 속도를 설정할 수 있습니다.

기본값은 -1이며, 이 값은 즉시 회전함을 의미합니다.

#### Code Samples

```lua
local UserGameSettings = UserSettings().GameSettings
UserGameSettings.CharacterTurnRate = 200
```

### RotationType

`Enum.RotationType`

클라이언트 캐릭터의 회전 방식을 설정하는 속성입니다.

카메라 방향을 따라 자동으로 회전할지, 또는 사용자 입력에 따라 독립적으로 움직일지를 설정할 수 있습니다.

#### Code Samples

```lua
local UserGameSettings = UserSettings().GameSettings
UserGameSettings.RotationType = Enum.RotationType.CameraRelative
```

## Methods

## Events

## See also

{% content-ref url="/pages/gJLjPSsgT9VFEwkWU6M3" %}
[TPS Strafing System](/korean/manual/script-manual/input-and-controls/tps-strafing-system.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/usergamesettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
